Commit 4cfbc83c authored by Laurent Montel's avatar Laurent Montel 😁

GIT_SILENT: Prepare 5.6.80

parent 9d00517d
cmake_minimum_required(VERSION 3.1)
# Do NOT add quote
set(KDEPIM_DEV_VERSION alpha1)
set(KDEPIM_DEV_VERSION )
# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
......@@ -40,36 +40,36 @@ include(ECMQtDeclareLoggingCategory)
include(ECMCoverageOption)
set(AKONADI_MIMELIB_VERSION "5.6.40")
set(AKONADI_CONTACT_VERSION "5.6.40")
set(KCALENDARCORE_LIB_VERSION "5.6.40")
set(IDENTITYMANAGEMENT_LIB_VERSION "5.6.40")
set(KLDAP_LIB_VERSION "5.6.40")
set(KMAILTRANSPORT_LIB_VERSION "5.6.40")
set(CALENDARUTILS_LIB_VERSION "5.6.43")
set(KHOLIDAYS_LIB_VERSION "5.6.40")
set(AKONADICALENDAR_LIB_VERSION "5.6.40")
set(KONTACTINTERFACE_LIB_VERSION "5.6.40")
set(KMIME_LIB_VERSION "5.6.40")
set(KPIMTEXTEDIT_LIB_VERSION "5.6.40")
set(AKONADI_VERSION "5.6.40")
set(AKONADI_MIMELIB_VERSION "5.6.80")
set(AKONADI_CONTACT_VERSION "5.6.80")
set(KCALENDARCORE_LIB_VERSION "5.6.80")
set(IDENTITYMANAGEMENT_LIB_VERSION "5.6.80")
set(KLDAP_LIB_VERSION "5.6.80")
set(KMAILTRANSPORT_LIB_VERSION "5.6.80")
set(CALENDARUTILS_LIB_VERSION "5.6.80")
set(KHOLIDAYS_LIB_VERSION "5.6.80")
set(AKONADICALENDAR_LIB_VERSION "5.6.80")
set(KONTACTINTERFACE_LIB_VERSION "5.6.80")
set(KMIME_LIB_VERSION "5.6.80")
set(KPIMTEXTEDIT_LIB_VERSION "5.6.80")
set(AKONADI_VERSION "5.6.80")
set(KDEPIM_LIB_VERSION "${KDEPIM_VERSION_NUMBER}")
set(KDEPIM_LIB_SOVERSION "5")
set(AKONADINOTES_LIB_VERSION "5.6.40")
set(AKONADINOTES_LIB_VERSION "5.6.80")
set(QT_REQUIRED_VERSION "5.8.0")
option(KDEPIM_ENTERPRISE_BUILD "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client." FALSE)
find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED DBus Gui Widgets Test UiTools)
set(KDEPIM_APPS_LIB_VERSION_LIB "5.6.40")
set(PIMCOMMON_LIB_VERSION_LIB "5.6.40")
set(LIBKDEPIM_LIB_VERSION_LIB "5.6.40")
set(LIBINCIDENCEEDITOR_LIB_VERSION_LIB "5.6.41")
set(CALENDARSUPPORT_LIB_VERSION_LIB "5.6.42")
set(EVENTVIEW_LIB_VERSION_LIB "5.6.42")
set(KCONTACTS_LIB_VERSION "5.6.40")
find_package(KF5AkonadiSearch "5.6.40" CONFIG REQUIRED)
set(KDEPIM_APPS_LIB_VERSION_LIB "5.6.80")
set(PIMCOMMON_LIB_VERSION_LIB "5.6.80")
set(LIBKDEPIM_LIB_VERSION_LIB "5.6.80")
set(LIBINCIDENCEEDITOR_LIB_VERSION_LIB "5.6.80")
set(CALENDARSUPPORT_LIB_VERSION_LIB "5.6.80")
set(EVENTVIEW_LIB_VERSION_LIB "5.6.80")
set(KCONTACTS_LIB_VERSION "5.6.80")
find_package(KF5AkonadiSearch "5.6.80" CONFIG REQUIRED)
set_package_properties(KF5AkonadiSearch PROPERTIES DESCRIPTION "The Akonadi Search libraries" URL "http://www.kde.org" TYPE REQUIRED PURPOSE "Provides search capabilities in KMail and Akonadi")
# Find KF5 package
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment